import java.io.BufferedWriter;
import java.io.FileWriter;
import java.net.InetAddress;
import java.util.StringTokenizer;

import com.sun.jmx.snmp.SnmpPdu;
import com.sun.jmx.snmp.agent.SnmpMibOid;

import snmp.*;

public class GetAllInfo {
	
	// OPEN WRT

	public static void main(String[] args) {
		String community 				= 	"public";
		int version						= 	0; 		// SNMPv1
		int bekleme 					= 	1000;	// milisaniye
		SNMPv1CommunicationInterface 	iletisimArayuzu = null;
		InetAddress hostAddress			=	null;
		SNMPVarBindList snmpIAL 		= 	null;	// IAD: iletisim arayuzu listesi
		SNMPSequence snmpCifti 			= 	null;
		SNMPObject snmpDegeri 			= 	null;
		String sonuc = null;
		
	
		//                      ALINAN sekizli sayisi  -  VERILEN sekizli sayisi  -  arayuzun HIZI
		String adres = "1.1.1.1"; //"1.3.6.1.2.1.1.2"; //"1.3.6.1.2.1.4.20" "1.1.1.1";

		try {
			FileWriter fstream = new FileWriter("out.txt");
	        BufferedWriter out = new BufferedWriter(fstream);
	    
			hostAddress 	= 	InetAddress.getByName("1.1.1.200");
			iletisimArayuzu = 	new SNMPv1CommunicationInterface(version, hostAddress, community);
			
			while(true){
				try {
					snmpIAL 	= 	iletisimArayuzu.getNextMIBEntry(adres);

					snmpCifti 	= 	(SNMPSequence) (snmpIAL.getSNMPObjectAt(0));
					snmpDegeri 	= 	snmpCifti.getSNMPObjectAt(1);

					sonuc = snmpDegeri.toString();
					StringTokenizer stringTok = new StringTokenizer(snmpIAL.toString());
					adres = stringTok.nextElement().toString();
					adres = stringTok.nextElement().toString();
					System.out.println(sonuc + " -> " + adres);
					out.write(adres + " " + sonuc + '\n');
				    
					/*
					if(sonuc.compareTo("7") == 0 || sonuc.compareTo("11") == 0){
						System.out.println("----------------------------------------");
						System.out.println(snmpCifti.toString());
						System.out.println(snmpDegeri.toString());
						//snmpCifti.setValue(snmpCifti.getSNMPObjectAt(1));
						//SNMPObject mySNMPobject = null;
						//mySNMPobject.setValue();
						//iletisimArayuzu.setMIBEntry("12", snmpCifti.getSNMPObjectAt(1));
						System.out.println("----------------------------------------");
						Thread.sleep(bekleme);
					}*/
				} catch (Exception e) {
					break;
					//System.out.println("YOK... : " + adres); 
				}
				
			}
			out.close();

		} catch (Exception e) {
			System.out.println("DONGU..."); 
			//System.out.println("SNMP isleminde HATA:  " + e + "\n");
		}
	}

	/* 11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4519
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4519  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4528
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4528  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4529
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4529  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4530
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4530  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4531
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4531  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4532
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4532  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4533
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4533  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4546
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4546  11 )
11
----------------------------------------
11 -> 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4551
----------------------------------------
( 1.3.6.1.2.1.6.13.1.1.1.1.1.1.80.1.1.1.64.4551  11 )
11
	 * */
}
