import java.net.InetAddress;
import snmp.*;

public class GetBandwidth {

	public static void main(String[] args) {
		String community 				= 	"public";
		int version						= 	0; 		// SNMPv1
		int bekleme 					= 	1000;	// milisaniye
		SNMPv1CommunicationInterface 	iletisimArayuzu = null;
		InetAddress hostAddress			=	null;
		SNMPVarBindList snmpIAL 		= 	null;	// IAD: iletisim arayuzu listesi
		SNMPSequence snmpCifti 			= 	null;
		SNMPObject snmpDegeri 			= 	null;
		long dizi[] 					= 	new long[9];
		
		//                      ALINAN sekizli sayisi  -  VERILEN sekizli sayisi  -  arayuzun HIZI
		String[] adresler = { "1.3.6.1.2.1.2.2.1.10.3", "1.3.6.1.2.1.2.2.1.16.3", "1.3.6.1.2.1.2.2.1.5.3" };

		try {
			hostAddress 	= 	InetAddress.getByName("1.1.1.1");
			iletisimArayuzu = 	new SNMPv1CommunicationInterface(version, hostAddress, community);
			
			while(true) {
				
				if (dizi[3] + dizi[4] > 0) {
					Thread.sleep(bekleme);
					
					dizi[6] = 1000 * (dizi[0] - dizi[3]) / bekleme;
					dizi[7] = 1000 * (dizi[1] - dizi[4]) / bekleme;
					dizi[8] = (dizi[7] + dizi[6]) / 2;
					
					System.out.println("Bandwith (byte):\t   ic: " + 
							(dizi[6]) + "\t   dis: " + (dizi[7]) + "\t   ort: " + (dizi[8]));
				}
				
				snmpIAL 	= 	iletisimArayuzu.getMIBEntry(adresler);

				for (int i = 0; i < snmpIAL.size(); i++) {
					snmpCifti = (SNMPSequence) (snmpIAL.getSNMPObjectAt(i));
					// extract the object identifier from the pair; it's the first element in the sequence
					// 	SNMPObjectIdentifier snmpOID = (SNMPObjectIdentifier)snmpCifti.getSNMPObjectAt(0);
					// extract the corresponding value from the pair; it's the second element in the sequence
					snmpDegeri = snmpCifti.getSNMPObjectAt(1);
					
					dizi[i + 3] = dizi[i];
					dizi[i] = Long.valueOf( snmpDegeri.toString() );
				}
			}

		} catch (Exception e) {
			System.out.println("SNMP isleminde HATA:  " + e + "\n");
		}
	}

}
